#include <ncurses.h>


#define MAXCHAN 48
#define MAXWATCH 32
#define TIMEZONEFIX 1
#define VERSION "0.1"

char colorcfg;
char clockcfg;
char bordercfg;

struct kanal {
  char used; // set 1 if filled with data
  char file[32];
  char name[32]; // channel name
  char program[MAXCHAN+1][32]; // no more strlen then 31
  int watch[MAXCHAN+1];
  int starttid[MAXCHAN+1]; // time from 00:00 in minutes untill programstart
};

struct kanal kanaler[16]; // 16 channels, enough?

char watch[MAXWATCH][32];  // needs to be reached from curses.c
int forking;
char tty[32];
int max_x,max_y;  // max window co-ordinates of stdscr
int alarm1;
int alarm2;
char extalarm1[256];
char extalarm2[256];


void print_time(int maxx);
void print_channels();
void init_curses();
void init_colors();
void kill_curses();
void print_curr_prgms(int chann);
void special_print(int chann);
void actual_print(int chann, int i);
void print_all(int ww, WINDOW *wwn);
void check_resize(int ww, WINDOW *wwn);
void print_border();

WINDOW *print_reload_win();
WINDOW *print_watch_win();
void kill_win(WINDOW *killwin);


void strip_trailing_crnl(char *p);
void strip_cpcr(char *buf);
int reload(int bootup);
int filldata(char *file);
void printdata(void);
void printwatch(void);
inline void initdata(void);
int findfreewatch(void);
int findfreekanal(void);

